package com.dxhy.erp.service;

import com.dxhy.erp.entity.alltax.*;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * @author luxiaoxu
 */
public interface AllTaxesSaleService {

    String getInvoiceSaleSign(TaxesSaleRequestSign req);

    String getInvoiceSale(String params, TaxesSaleRequestInfo req);

    void countSale(TaxesSaleRequestInfo taxesRequestInfo);

    void countByItem(List<SaleParams> list);

    String getInvoiceSaleTaxRateCount(List<ReqSaleCountInfo> reqList);

    String getInvoiceSaleItemCount(List<ReqSaleCountInfo> reqList);
}
